<div class='wrap'>
	<div class="clear_both"></div>
	<div class="title_line" style="margin-bottom:10px">
		<div id="icon-options-general" class="icon32"></div>
		<a href="<?php echo RevSliderGlobals::LINK_HELP_SLIDERS; ?>" class="button-secondary float_right mtop_10 mleft_10" target="_blank"><?php echo $this->__("Help"); ?></a>

		<a id="button_general_settings" class="button-secondary float_right mtop_10"><?php echo $this->__("Global Settings"); ?></a>
	</div>

	<div class="clear_both"></div>

	<div class="title_line nobgnopd" style="height:auto; min-height:50px">
		<div class="view_title">
			<?php echo $this->__("Revolution Sliders"); ?>
		</div>
		<div class="slider-sortandfilter">
				<span class="slider-listviews slider-lg-views" data-type="rs-listview"><i class="eg-icon-align-justify"></i></span>
				<span class="slider-gridviews slider-lg-views active" data-type="rs-gridview"><i class="eg-icon-th"></i></span>
				<span class="slider-sort-drop"><?php echo $this->__("Sort By:"); ?></span>
				<select id="sort-sliders" name="sort-sliders" style="max-width: 105px;" class="withlabel">
					<option value="id" selected="selected"><?php echo $this->__("By ID"); ?></option>
					<option value="name"><?php echo $this->__("By Name"); ?></option>
					<option value="type"><?php echo $this->__("By Type"); ?></option>
					<option value="favorit"><?php echo $this->__("By Favorit"); ?></option>
				</select>
				
				<span class="slider-filter-drop"><?php echo $this->__("Filter By:"); ?></span>
				
				<select id="filter-sliders" name="filter-sliders" style="max-width: 105px;" class="withlabel">
					<option value="all" selected="selected"><?php echo $this->__("All"); ?></option>
					<option value="posts"><?php echo $this->__("Products"); ?></option>
					<option value="gallery"><?php echo $this->__("Gallery"); ?></option>
					<option value="vimeo"><?php echo $this->__("Vimeo"); ?></option>
					<option value="youtube"><?php echo $this->__("YouTube"); ?></option>
					<option value="twitter"><?php echo $this->__("Twitter"); ?></option>
					<option value="facebook"><?php echo $this->__("Facebook"); ?></option>
					<option value="instagram"><?php echo $this->__("Instagram"); ?></option>
					<option value="flickr"><?php echo $this->__("Flickr"); ?></option>
				</select>
		</div>
		<div style="width:100%;height:1px;float:none;clear:both"></div>
	</div>

	<?php
	$no_sliders = false;
	if(empty($arrSliders)){
		?>
		<span style="display:block;margin-top:15px;margin-bottom:15px;">
		<?php  echo $this->__("No Sliders Found"); ?>
		</span>
		<?php
		$no_sliders = true;
	}

	echo $this->getChild('sliders-list')
		->assign('arrSliders', $arrSliders)
		->assign('no_sliders', $no_sliders)
		->assign('addNewLink', $addNewLink)
		->toHtml();

	?>
	<!--
	THE INFO ABOUT EMBEDING OF THE SLIDER
	-->
    <div class="rs-dialog-embed-slider" title="<?php echo $this->__("Embed Slider",'revslider'); ?>" style="display: none;">
        <div class="revyellow" style="background: none repeat scroll 0% 0% #F1C40F; left:0px;top:55px;position:absolute;height:205px;padding:20px 10px;"><i style="color:#fff;font-size:25px" class="revicon-arrows-ccw"></i></div>
		<div style="margin:5px 0px; padding-left: 55px;">
			<div style="font-size:14px;margin-bottom:10px;"><strong><?php echo $this->__("Standard Embeding"); ?></strong></div>
			<?php echo $this->__("For the"); ?> <b><?php echo $this->__("CMS Block or CMS Page content"); ?></b> <?php echo $this->__("insert the shortcode:"); ?> <code class="rs-example-alias-1"></code>
			<?php echo $this->__("Or use <b>Revolution Slider Widget</b>. In CMS editor click Insert Widget icon or button. Select <b>NWDthemes Revolution Slider</b> widget. In <b>Widget Options</b> select slider you want to insert and click <b>Insert Widget</b> button."); ?>
			<div style="width:100%;height:10px"></div>
			<?php echo $this->__("To create Revolution Slider"); ?> <b><?php echo $this->__("Widget Instance"); ?></b> <?php echo $this->__("go to"); ?>
			<a href="<?php echo Mage::helper("adminhtml")->getUrl('adminhtml/widget_instance'); ?>"><b><?php echo $this->__("CMS > Widget"); ?></b></a>
			<?php echo $this->__(" section page and push <b>Add New Widget Instance</b> button. Select <b>NWDthemes Revolution Slider</b> widget type, choose design package/theme and click <b>Continue</b>. Fill <b>Frontend Properties</b> form giving widget instance name, assign store views and sort order. Click <b>Add Layout Update</b> button and select pages and block you want to display widget on. Switch to <b>Widget Options</b> tab and select slider for this widget instance. Click <b>Save</b> to update widget options."); ?>
			<div style="width:100%;height:25px"></div>
			<div id="advanced-emeding" style="font-size:14px;margin-bottom:10px;"><strong><?php echo $this->__("Advanced Embeding"); ?></strong><i class="eg-icon-plus"></i></div>
            <div id="advanced-accord" style="display:none; line-height:25px">
				<?php echo $this->__("From the")?>
				<b><?php echo $this->__("XML layout")?></b>
				<?php echo $this->__("use")?>:<br/>
				<code>&lt;block type="nwdrevslider/revslider" name="revslider"&gt;&lt;action method="setAlias"&gt;&lt;alias&gt;<span class="rs-example-alias"><?php echo $exampleID; ?></span>&lt;/alias&gt;&lt;/action&gt;&lt;/block&gt;</code><br/>
				<br/><br/>
				<?php echo $this->__("From the")?>
				<b><?php echo $this->__("code")?></b>
				<?php echo $this->__("use")?>:<br/>
				<code>$this->getLayout()->createBlock('nwdrevslider/revslider')->setAlias('<span class="rs-example-alias"><?php echo $exampleID; ?></span>')->toHtml();</code><br/>
			</div>
			
		</div>
	</div>
	<script>
	(function(jQuery) {
        jQuery('#advanced-emeding').click(function() {
            jQuery('#advanced-accord').toggle(200);
        });
	})($nwd_jQuery);
	</script>


    <div style="width:100%;height:40px"></div>

    <!-- DASHBOARD -->
    <div class="rs-dashboard">
        <?php
		$validated = Mage::helper('nwdrevslider/framework')->get_option('revslider-valid', 'false');
        $temp_active = Mage::helper('nwdrevslider/framework')->get_option('revslider-temp-active', 'false');
        $code = Mage::helper('nwdrevslider/framework')->get_option('revslider-code', '');
        //$email = get_option('revslider-email', '');
        $latest_version = Mage::helper('nwdrevslider/framework')->get_option('revslider-latest-version', RevSliderGlobals::SLIDER_REVISION);

        $activewidgetclass = $validated === 'true'? "rs-status-green-wrap" : "rs-status-red-wrap";
        $activewidgetclass = $temp_active === 'true' ? "rs-status-orange-wrap" : $activewidgetclass;

        $dashboard_array = array();
        $dashboard_required_array = array();

        ob_start();
        ?>
        <!-- VALIDATION WIDGET -->
        <div class="rs-dash-widget">
            <div class="rs-dash-title-wrap <?php echo $activewidgetclass; ?>">
                <div class="rs-dash-title"><?php echo $this->__("Plugin Activation"); ?></div>
                <div class="rs-dash-title-button rs-status-red"><i class="icon-not-registered"></i><?php echo $this->__("Not Activated"); ?></div>
                <div class="rs-dash-title-button rs-status-orange"><i class="icon-no-problem-found"></i><?php echo $this->__("Temporarily Activated",'revslider'); ?></div>
                <div class="rs-dash-title-button rs-status-green"><i class="icon-no-problem-found"></i><?php echo $this->__("Plugin Activated"); ?></div>
            </div>

            <div class="rs-dash-widget-inner rs-dash-widget-deregistered" <?php echo ($validated !== 'true') ? '' : 'style="display: none;"'; ?>>
                <div class="rs-dash-icon rs-dash-refresh"></div>
                <div class="rs-dash-content-with-icon">
                    <div class="rs-dash-strong-content"><?php echo $this->__("Extension Updates"); ?></div>
                    <div><?php echo $this->__("Fresh versions to download for you"); ?></div>
                </div>
                <div class="rs-dash-content-space"></div>
                <div class="rs-dash-icon rs-dash-ticket"></div>
                <div class="rs-dash-content-with-icon">
                    <div class="rs-dash-strong-content"><?php echo $this->__("Product Support"); ?></div>
                    <div><?php echo $this->__("Direct help from our qualified support team"); ?></div>
                </div>
                <div class="rs-dash-content-space"></div>
                <div class="rs-dash-icon rs-dash-gift"></div>
                <div class="rs-dash-content-with-icon">
                    <div class="rs-dash-strong-content"><?php echo $this->__("Free Premium Sliders"); ?></div>
                    <div><?php echo $this->__("Exclusive new slider exports for our direct customers"); ?></div>
                </div>

                <div class="rs-dash-bottom-wrapper">
                    <span id="rs-validation-activate-step-a" class="rs-dash-button"><?php echo $this->__('Register Slider Revolution','revslider'); ?></span>
                    <a class="rs-dash-button" href="https://themepunch.com/purchase-code-deactivation/" target="_blank"><?php echo $this->__('Deregister Domain','revslider'); ?></a>
                </div>
            </div>

            <div class="rs-dash-widget-inner rs-dash-widget-registered" <?php echo ($validated === 'true') ? '' : 'style="display: none;position:absolute;top:60px;left:0px;"'; ?>>

                <div class="rs-dash-icon rs-dash-credit"></div>
                <div class="rs-dash-content-with-icon">
                    <div class="rs-dash-strong-content"><?php echo $this->__("Purchase Code"); ?></div>
                    <div><?php echo $this->__("You can learn how to find your purchase key <a target='_blank' href='http://www.themepunch.com/faq/where-to-find-the-purchase-code/'>here</a>"); ?></div>
                </div>
                <div class="rs-dash-content-space"></div>
                <?php if(!Nwdthemes_Revslider_Helper_Framework::RS_DEMO){ ?>
                    <input type="text" name="rs-validation-token" class="rs-dashboard-input" style="width:100%" value="<?php echo $code; ?>" <?php echo ($validated === 'true') ? ' readonly="readonly"' : ''; ?> style="width: 350px;" />
                    <div class="rs-dash-content-space"></div>
                    <?php
                    /*
                    <div class="rs-dash-strong-content"><?php echo $this->__("Email Address",'revslider'); ?></div>
                    <input type="text" name="rs-validation-email" class="rs-dashboard-input" style="width:100%" value="<?php echo $email; ?>" <?php echo ($validated === 'true') ? ' readonly="readonly"' : ''; ?> style="width: 350px;" />
                    ?>

                    <div class="rs-dash-content-space"></div>
                    */
                    ?>
                    <?php if ($validated == 'true') {
                    ?>
                        <div><?php echo $this->__("In order to register your purchase code on another domain, deregister <br>it first by clicking the button below."); ?></div>
                    <?php
                    } else { ?>
                        <div><?php echo $this->__("Reminder ! One registration per Website. If registered elsewhere please deactivate that registration first."); ?></div>
                    <?php
                    }
                    ?>

                    <div class="rs-dash-bottom-wrapper">
                        <span style="display:none" id="rs_purchase_validation" class="loader_round"><?php echo $this->__('Please Wait...'); ?></span>
                        <a href="javascript:void(0);" <?php echo ($validated !== 'true') ? '' : 'style="display: none;"'; ?> id="rs-validation-activate" class="rs-dash-button"><?php echo $this->__('Register the code'); ?></a>
                        <a href="javascript:void(0);" <?php echo ($validated === 'true') ? '' : 'style="display: none;"'; ?> id="rs-validation-deactivate" class="rs-dash-button"><?php echo $this->__('Deregister the code'); ?></a>

                        <?php
                        $temp_active = Mage::helper('nwdrevslider/framework')->get_option('revslider-temp-active', 'false');
                        if($temp_active == 'true'){
                            ?>
                            <a href="?page=revslider&checktempactivate=true" id="rs-validation-full-activate" class="rs-dash-button"><?php echo $this->__('Complete Activation','revslider'); ?></a>
                            <span class="rs-dash-more-info" data-takemeback="false" data-title="<?php echo $this->__('What does \'Temporary Activated\' mean?', 'revslider');?>" data-content="<?php echo __('The Envato API was unavailable at the activation process:', 'revslider').'<div class=\'rs-dash-content-space\'></div>'.__('The Slider is temporary activated until the Envato API can be reached again by the ThemePunch servers.','revslider').'<div class=\'rs-dash-content-space\'></div>'.__('The plugin will be fully activated as soon as the Envato API is available again.','revslider').''; ?>"><span class="rs-dash-invers-button-gray rs-dash-close-panel"><?php echo $this->__('Why?', 'revslider'); ?></span></span>
                            <?php
                        }
                        ?>
                    </div>
                <?php } ?>
            </div>

            <script>
				(function(jQuery) {
                jQuery(document).ready(function() {
                    jQuery('#rs-validation-activate-step-a').click(function() {
                        punchgs.TweenLite.to(jQuery('.rs-dash-widget-inner.rs-dash-widget-deregistered'),0.5,{autoAlpha:1,x:"-100%",ease:punchgs.Power3.easeInOut});
                        punchgs.TweenLite.fromTo(jQuery('.rs-dash-widget-inner.rs-dash-widget-registered'),0.5,{display:"block",autoAlpha:0,left:400},{autoAlpha:1,left:0,ease:punchgs.Power3.easeInOut});
                    })
                });
				})($nwd_jQuery);
            </script>
        </div><!-- END OF VALIDATION WIDGET -->
        <?php
        $dbc = ob_get_contents();
        ob_clean();
        ob_end_clean();

        $dashboard_array['rs-validation'] = array('order' => 10, 'content' => $dbc);

        $dashboard_required_array['rs-version-information'] = array('order' => 20, 'content' => '');

        ob_start();
        ?>
        <!-- Requirements & Recommendations -->
        <div class="rs-dash-widget">
            <?php
                $dir = Mage::helper('nwdrevslider/framework')->wp_upload_dir();
                $mem_limit = ini_get('memory_limit');
                $mem_limit_byte = Mage::helper('nwdrevslider/framework')->wp_convert_hr_to_bytes($mem_limit);
                $upload_max_filesize = ini_get('upload_max_filesize');
                $upload_max_filesize_byte = Mage::helper('nwdrevslider/framework')->wp_convert_hr_to_bytes($upload_max_filesize);
                $post_max_size = ini_get('post_max_size');
                $post_max_size_byte = Mage::helper('nwdrevslider/framework')->wp_convert_hr_to_bytes($post_max_size);

                $writeable_boolean = Mage::helper('nwdrevslider/framework')->wp_is_writable($dir['basedir'].'/');
                $can_connect = Mage::helper('nwdrevslider/framework')->get_option('revslider-connection', false);
                $mem_limit_byte_boolean = $mem_limit_byte != -1 && $mem_limit_byte<268435456;
                $upload_max_filesize_byte_boolean = ($upload_max_filesize_byte < 33554432);
                $post_max_size_byte_boolean = ($post_max_size_byte < 33554432);
                $dash_rr_status = ($writeable_boolean==true && $can_connect==true && $mem_limit_byte_boolean==false && $upload_max_filesize_byte_boolean==false && $post_max_size_byte_boolean==false) ? "rs-status-green-wrap" : "rs-status-red-wrap";

            ?>
            <div class="rs-dash-title-wrap <?php echo $dash_rr_status; ?>">
                <div class="rs-dash-title"><?php echo $this->__("System Requirements"); ?></div>
                <div class="rs-dash-title-button rs-status-red"><i class="icon-problem-found"></i><?php echo $this->__("Problem Found"); ?></div>
                <a class="rs-status-red rs-dash-title-button requirement-link" target="_blank" href="http://www.themepunch.com/revslider-doc/requirements-and-recommendations/" ><i class="eg-icon-info"></i></a> <div class="rs-dash-title-button rs-status-green"><i class="icon-no-problem-found"></i><?php echo $this->__("No Problems"); ?></div>
            </div>
            <div class="rs-dash-widget-inner">
                <span class="rs-dash-label"><?php echo $this->__('Uploads folder writable'); ?></span>
                <?php
                //check if uploads folder can be written into

                if($writeable_boolean){
                    echo '<i class="revgreenicon eg-icon-ok"></i>';
                }else{
                    echo '<i class="revredicon eg-icon-cancel"></i><span style="margin-left:16px" class="rs-dash-more-info" data-title="'.$this->__('Error with File Permissions').'" data-content="'.$this->__('Please set write permission (755) to your wp-content/uploads folders to make sure the Slider can save all updates and imports in the future.').'"><i class="eg-icon-info"></i></span>';
                }
                ?>

                <div class="rs-dash-content-space-small"></div>
                <span class="rs-dash-label"><?php echo $this->__('Memory Limit'); ?></span>
                <?php

                if($mem_limit_byte_boolean){
                    //not good
                    echo '<i style="margin-right:20px" class="revredicon eg-icon-cancel"></i>';
                    echo '<span class="rs-dash-red-content">';
                } else {
                    echo '<i style="margin-right:20px" class="revgreenicon eg-icon-ok"></i>';
                    echo '<span class="rs-dash-strong-content">';
                }

                echo __('Currently:').' '.($mem_limit == -1 ? 'No Limit' : $mem_limit);
                echo '</span>';
                if($mem_limit_byte_boolean){
                    //not good
                    echo '<span class="rs-dash-strong-content" style="margin-left:20px">'. __('(min:256M)').'</span>';
                }
                ?>
                <div class="rs-dash-content-space-small"></div>
                <span class="rs-dash-label"><?php echo $this->__('Upload Max. Filesize'); ?></span>
                <?php


                if($upload_max_filesize_byte_boolean){
                    //not good
                    echo '<i style="margin-right:20px" class="revredicon eg-icon-cancel"></i>';
                    echo '<span class="rs-dash-red-content">';
                } else {
                    echo '<i style="margin-right:20px"class="revgreenicon eg-icon-ok"></i>';
                    echo '<span class="rs-dash-strong-content">';
                }

                echo __('Currently:').' '.$upload_max_filesize;
                echo '</span>';
                if($upload_max_filesize_byte_boolean){
                    echo '<span class="rs-dash-strong-content" style="margin-left:20px">'. __('(min:32M)').'</span>';
                }
                ?>
                <div class="rs-dash-content-space-small"></div>
                <span class="rs-dash-label"><?php echo $this->__('Max. Post Size'); ?></span>
                <?php



                if($post_max_size_byte_boolean){
				//not good
                    echo '<i style="margin-right:20px" class="revredicon eg-icon-cancel"></i>';
                    echo '<span class="rs-dash-red-content">';
                } else {
                    echo '<i style="margin-right:20px"class="revgreenicon eg-icon-ok"></i>';
                    echo '<span class="rs-dash-strong-content">';
                }

                echo __('Currently:').' '.$post_max_size;
                echo '</span>';
                if($post_max_size_byte_boolean){
                    echo '<span class="rs-dash-strong-content" style="margin-left:20px">'. __('(min:32M)').'</span>';
                }
                ?>

                <div class="rs-dash-content-space-small"></div>
                <span class="rs-dash-label"><?php echo $this->__('Contact ThemePunch Server'); ?></span>
                <?php

                if($can_connect){
                    echo '<i class="revgreenicon eg-icon-ok"></i>';
                }else{
                    echo '<i class="revredicon eg-icon-cancel"></i>';
                }
                ?>
                <a class='rs-dash-invers-button' href='?page=revslider&checkforupdates=true' id="rev_check_version_1" style="margin-left:16px"><?php echo $this->__("Check Now"); ?></a>
                <?php
                if(!$can_connect){
                    echo '<span class="rs-dash-more-info" data-title="'.$this->__('Error with contacting the ThemePunch Server').'" data-content="'.$this->__('Please make sure that your server can connect to updates.themepunch.tools and templates.themepunch.tools programmatically.').'"><i class="eg-icon-info"></i></span>';
                }
                ?>
            </div>
        </div><!-- END OF Requirements & Recommendations -->
        <?php
        $dbc = ob_get_contents();
        ob_clean();
        ob_end_clean();

        $dashboard_required_array['rs-requirements'] = array('order' => 30, 'content' => $dbc);

        ob_start();
		?>
		<!--
        TEMPLATE WIDGET
		-->
        <div class="rs-dash-widget">
            <div class="templatestore-bg"></div>
            <div class="rs-dash-title-wrap" style="position:relative; z-index:1">
                <div class="rs-dash-title"><?php echo $this->__("Start Downloading Templates"); ?></div>
            </div>

            <div class="rs-dash-widget-inner">
                <?php if ($validated === 'true') {
                    ?>
                    <div class="rs-dash-icon rs-dash-download"></div>
                    <div class="rs-dash-content-with-icon">
                        <div class="rs-dash-strong-content"><?php echo $this->__("Online Slider Library"); ?></div>
                        <div><?php echo $this->__("Full examples for instant usage"); ?></div>
                    </div>
                    <div class="rs-dash-content-space"></div>
                    <div class="rs-dash-icon rs-dash-diamond"></div>
                    <div class="rs-dash-content-with-icon">
                        <div class="rs-dash-strong-content"><?php echo $this->__("Get Free Premium Sliders"); ?></div>
                        <div class=""><?php echo $this->__("Activate your plugin and profit"); ?></div>
                    </div>
                <?php }else{ ?>
                    <div class="rs-dash-icon rs-dash-notregistered"></div>
                    <div class="rs-dash-content-with-icon" style="width:190px;margin-right:20px">
                        <div class="rs-dash-strong-content rs-dash-deactivated"><?php echo $this->__("Online Slider Library"); ?></div>
                        <div class="rs-dash-deactivated"><?php echo $this->__("Full examples for instant usage"); ?></div>
                    </div>
                    <span class="rs-dash-more-info" data-takemeback="false" data-title="<?php echo $this->__('How to Unlock Premium Features?', 'revslider');?>" data-content="<?php echo __('If you have purchased Slider Revolution from ThemePunch directly you can find your activation code here:', 'revslider').'<div class=\'rs-dash-content-space\'></div><a target=\'_blank\' href=\'http://revolution.themepunch.com/direct-customer-benefits/#productactivation\' class=\'rs-dash-invers-button\'>'.$this->__('Where is my Purchase Code?','revslider').'</a><div class=\'rs-dash-content-space\'></div>'.$this->__('Dont have a license yet? Purchase a license on CodeCanyon','revslider').'<div class=\'rs-dash-content-space\'></div><a target=\'_blank\' href=\'http://codecanyon.net/item/slider-revolution-responsive-wordpress-plugin/2751380\' class=\'rs-dash-button-small\'>'.$this->__('Buy Now from $19','revslider').'</a>'; ?>"><span class="rs-dash-invers-button-gray rs-dash-close-panel"><?php echo $this->__('Unlock Now', 'revslider'); ?></span></span>
                    <div class="rs-dash-content-space"></div>
                    <div class="rs-dash-icon rs-dash-notregistered"></div>
                    <div class="rs-dash-content-with-icon" style="width:190px;margin-right:20px">
                        <div class="rs-dash-strong-content rs-dash-deactivated"><?php echo $this->__("Get Free Premium Sliders"); ?></div>
                        <div class="rs-dash-deactivated"><?php echo $this->__("Activate your plugin and profit"); ?></div>
                    </div>
                    <span class="rs-dash-more-info" data-takemeback="false" data-title="<?php echo $this->__('How to Unlock Premium Features?', 'revslider');?>" data-content="<?php echo __('If you have purchased Slider Revolution from ThemePunch directly you can find your activation code here:', 'revslider').'<div class=\'rs-dash-content-space\'></div><a target=\'_blank\' href=\'http://revolution.themepunch.com/direct-customer-benefits/#productactivation\' class=\'rs-dash-invers-button\'>'.$this->__('Where is my Purchase Code?','revslider').'</a><div class=\'rs-dash-content-space\'></div>'.$this->__('Dont have a license yet? Purchase a license on CodeCanyon','revslider').'<div class=\'rs-dash-content-space\'></div><a target=\'_blank\' href=\'http://codecanyon.net/item/slider-revolution-responsive-wordpress-plugin/2751380\' class=\'rs-dash-button-small\'>'.$this->__('Buy Now from $19','revslider').'</a>'; ?>"><span class="rs-dash-invers-button-gray rs-dash-close-panel"><?php echo $this->__('Unlock Now', 'revslider'); ?></span></span>
                <?php } ?>
                <div class="rs-dash-bottom-wrapper">
                    <?php if ($validated === 'true') { ?>
                        <a href="javascript:void(0)" class="rs-dash-button" id="button_import_template_slider_b"><?php echo $this->__('Open Template Store'); ?></a>
                    <?php }else{ ?>
                        <span class="rs-dash-button" id="regsiter-to-access-store-none" ><?php echo $this->__('Open Template Library'); ?></span>
                    <?php } ?>
                </div>
            </div>
        </div><!-- END TEMPLATE WIDGET -->
        <?php
        $dbc = ob_get_contents();
        ob_clean();
        ob_end_clean();

        $dashboard_required_array['rs-templates'] = array('order' => 5, 'content' => $dbc);

        $dashboard_required_array['rs-newsletter'] = array('order' => 50, 'content' => '');
        $dashboard_array['rs-support'] = array('order' => 60, 'content' => '');

        $dbvariables = array(
                            'validated'         => $validated,
                            'code'                => $code,
                            'current_version'    => RevSliderGlobals::SLIDER_REVISION
                            );

        $dashboard_array = Mage::helper('nwdrevslider/framework')->apply_filters('revslider_dashboard_elements', $dashboard_array, $dbvariables);

        $dashboard_array = array_merge($dashboard_array, $dashboard_required_array);


        $dashboard_server = (array) Mage::helper('nwdrevslider/framework')->get_option('revslider-dashboard', array());

        if(!empty($dashboard_server)){
            foreach($dashboard_server as $dbk => $dbv){
                $dashboard_server[$dbk] = (array) $dbv;
                if(version_compare(RevSliderGlobals::SLIDER_REVISION, $dbv->version_from, '<') || version_compare(RevSliderGlobals::SLIDER_REVISION, $dbv->version_to, '>')){
                    unset($dashboard_server[$dbk]);
                }
            }

            if(!empty($dashboard_server)){
                $dashboard_array = array_merge($dashboard_array, $dashboard_server);
            }
        }

        if(!empty($dashboard_array) && is_array($dashboard_array)){
            usort($dashboard_array, array('RevSliderFunctions', 'sortByOrder'));

            foreach($dashboard_array as $dbarray){
                foreach($dbvariables as $dbhandle => $dbvalue){
                    $dbarray['content'] = str_replace('{{'.$dbhandle.'}}', $dbvalue, $dbarray['content']);
                }
                echo $dbarray['content'];
            }
        }
        ?>
        <div class="tp-clearfix"></div>
    </div><!-- END OF RS DASHBOARD -->

    <div style="width:100%;height:40px"></div>
    <div class="rs-update-history-wrapper">
        <div class="rs-dash-title-wrap">
            <div class="rs-dash-title"><?php echo $this->__("Update History"); ?></div>
        </div>
        <div class="rs-update-history"><?php echo $this->getChildHtml('release_log'); ?></div>
	</div>

</div>

<!-- Import slider dialog -->
<div id="dialog_import_slider" title="<?php echo $this->__("Import Slider"); ?>" class="dialog_import_slider" style="display:none">
	<form action="<?php echo RevSliderBase::$url_ajax; ?>" enctype="multipart/form-data" method="post">
		<br>
		<input type="hidden" name="action" value="revslider_ajax_action">
		<input type="hidden" name="client_action" value="import_slider_slidersview">
		<input type="hidden" name="form_key" value="<?php echo Mage::helper('nwdrevslider/framework')->wp_create_nonce("revslider_actions"); ?>">
		<?php echo $this->__("Choose the import file"); ?>:
		<br>
		<input type="file" size="60" name="import_file" class="input_import_slider">
		<br><br>
		<span style="font-weight: 700;"><?php echo $this->__("Note: styles templates will be updated if they exist!"); ?></span><br><br>
		<table>
			<tr>
				<td><?php echo $this->__("Custom Animations:"); ?></td>
				<td><input type="radio" name="update_animations" value="true" checked="checked"> <?php echo $this->__("overwrite"); ?></td>
				<td><input type="radio" name="update_animations" value="false"> <?php echo $this->__("append"); ?></td>
			</tr>
			<tr>
                <td><?php echo $this->__("Custom Navigations:"); ?></td>
                <td><input type="radio" name="update_navigations" value="true" checked="checked"> <?php echo $this->__("overwrite"); ?></td>
                <td><input type="radio" name="update_navigations" value="false"> <?php echo $this->__("append"); ?></td>
            </tr>
            <tr>
				<td><?php echo $this->__("Static Styles:"); ?></td>
				<td><input type="radio" name="update_static_captions" value="true"> <?php echo $this->__("overwrite"); ?></td>
				<td><input type="radio" name="update_static_captions" value="false"> <?php echo $this->__("append"); ?></td>
				<td><input type="radio" name="update_static_captions" value="none" checked="checked"> <?php echo $this->__("ignore"); ?></td>
			</tr>
		</table>
		<br><br>
		<input type="submit" class="button-primary revblue tp-be-button rev-import-slider-button" style="display: none;" value="<?php echo $this->__("Import Slider"); ?>" data-loading="<?php echo $this->__("Importing slider..."); ?>" />
	</form>
</div>

<div id="dialog_duplicate_slider" class="dialog_duplicate_layer" title="<?php echo $this->__('Duplicate'); ?>" style="display:none;">
	<div style="margin-top:14px">
		<span style="margin-right:15px"><?php echo $this->__('Title:'); ?></span><input id="rs-duplicate-animation" type="text" name="rs-duplicate-animation" value="" />
	</div>
</div>

<div id="dialog_duplicate_slider_package" class="dialog_duplicate_layer" title="<?php echo $this->__('Duplicate', 'revslider'); ?>" style="display:none;">
    <div style="margin-top:14px">
        <span style="margin-right:15px"><?php echo $this->__('Prefix:', 'revslider'); ?></span><input id="rs-duplicate-prefix" type="text" name="rs-duplicate-prefix" value="" />
    </div>
</div>

<script type="text/javascript">
	(function(jQuery) {

	jQuery(document).ready(function(){
		RevSliderAdmin.initSlidersListView();
		RevSliderAdmin.initNewsletterRoutine();
		
		jQuery('#benefitsbutton').hover(function() {
			jQuery('#benefitscontent').slideDown(200);
		}, function() {
			jQuery('#benefitscontent').slideUp(200);
		});
		
		jQuery('#why-subscribe').hover(function() {
			jQuery('#why-subscribe-wrapper').slideDown(200);
		}, function() {
			jQuery('#why-subscribe-wrapper').slideUp(200);				
		});
		
		jQuery('#tp-validation-box').click(function() {
			jQuery(this).css({cursor:"default"});
			if (jQuery('#rs-validation-wrapper').css('display')=="none") {
				jQuery('#tp-before-validation').hide();
				jQuery('#rs-validation-wrapper').slideDown(200);
			}
		});

        jQuery('body').on('click','.rs-dash-more-info',function() {
            var btn = jQuery(this),
                p = btn.closest('.rs-dash-widget-inner'),
                tmb = btn.data('takemeback'),
                btxt = '';

            btxt = btxt + '<div class="rs-dash-widget-warning-panel">';
            btxt = btxt + '    <i class="eg-icon-cancel rs-dash-widget-wp-cancel"></i>';
            btxt = btxt + '    <div class="rs-dash-strong-content">'+ btn.data("title")+'</div>';
            btxt = btxt + '    <div class="rs-dash-content-space"></div>';
            btxt = btxt + '    <div>'+btn.data("content")+'</div>';

            if (tmb!=="false" && tmb!==false) {
                btxt = btxt + '    <div class="rs-dash-content-space"></div>';
                btxt = btxt + '    <span class="rs-dash-invers-button-gray rs-dash-close-panel">Thanks! Take me back</span>';
            }
            btxt = btxt + '</div>';

            p.append(btxt);
            var panel = p.find('.rs-dash-widget-warning-panel');

            punchgs.TweenLite.fromTo(panel,0.3,{y:-10,autoAlpha:0},{autoAlpha:1,y:0,ease:punchgs.Power3.easeInOut});
            panel.find('.rs-dash-widget-wp-cancel, .rs-dash-close-panel').click(function() {
                punchgs.TweenLite.to(panel,0.3,{y:-10,autoAlpha:0,ease:punchgs.Power3.easeInOut});
                setTimeout(function() {
                    panel.remove();
                },300)
            })
        });
	});
	
	})($nwd_jQuery);
</script>
<?php
echo $this->getChildHtml('template-slider-selector');
?>
<script type="text/javascript">
    (function(jQuery) {

        jQuery(document).ready(function(){
            jQuery('#regsiter-to-access-update-none, #regsiter-to-access-store-none, #register-wrong-purchase-code').click(function(){
                var clicked = jQuery(this).attr('id');
                jQuery('#rs-premium-benefits-dialog').dialog({
                    width:830,
                    height:750,
                    modal:true,
                    resizable:false,
                    open:function(ui) {
                        var dialog = jQuery(ui.target).parent(),
                            dialogtitle = dialog.find('.ui-dialog-title');



                        dialog.addClass("rs-open-premium-benefits-dialog-container");
                        if (!dialogtitle.hasClass("titlechanged")) {
                            dialogtitle.html("");
                            dialogtitle.append(jQuery('#rs-premium-benefits-dialog .rs-premium-benefits-dialogtitles'));
                            dialogtitle.addClass("titlechanged");
                        }
                        jQuery('#rs-wrong-purchase-code-title, #rs-plugin-update-feedback-title, #rs-plugin-download-template-feedback-title').hide();

                        switch (clicked) {
                            case "regsiter-to-access-update-none":
                                jQuery('#rs-plugin-update-feedback-title').show();
                            break;
                            case "regsiter-to-access-store-none":
                                jQuery('#rs-plugin-download-template-feedback-title').show();
                            break;
                            case "register-wrong-purchase-code":
                                jQuery('#rs-wrong-purchase-code-title').show();
                            break;
                        }
                    }
                });
            });
        });

    })($nwd_jQuery);
</script>
<div style="visibility: none;" id="register-wrong-purchase-code"></div>

<div id="rs-premium-benefits-dialog" style="display: none;">
    <div class="rs-premium-benefits-dialogtitles" id="rs-wrong-purchase-code-title">
        <span class="oppps-icon"></span>
        <span class="benefits-title-right">
            <span class="rs-premium-benefits-dialogtitle"><?php echo $this->__('Ooops... Wrong Purchase Code!', 'revslider'); ?></span>
            <span class="rs-premium-benefits-dialogsubtitle"><?php echo $this->__('Maybe just a typo? (Click <a target="_blank" href="https://revolution.themepunch.com/direct-customer-benefits/#productactivation">here</a> to find out how to locate your Slider Revolution purchase code.)', 'revslider'); ?></span>
        </span>
    </div>
    <div style="display:none" class="rs-premium-benefits-dialogtitles" id="rs-plugin-update-feedback-title">
        <span class="oppps-icon"></span>
        <span class="benefits-title-right">
            <span class="rs-premium-benefits-dialogtitle"><?php echo $this->__('Plugin Activation Required'); ?></span>
            <span class="rs-premium-benefits-dialogsubtitle"><?php echo $this->__('In order to download the <a target="_blank" href="http://codecanyon.net/item/slider-revolution-responsive-magento-extension/9332896#item-description__update-history">latest update</a> instantly', 'revslider'); ?></span>
        </span>
    </div>
    <div style="display:none" class="rs-premium-benefits-dialogtitles" id="rs-plugin-download-template-feedback-title">
        <span class="oppps-icon"></span>
        <span class="benefits-title-right">
            <span class="rs-premium-benefits-dialogtitle"><?php echo $this->__('Plugin Activation Required'); ?></span>
            <span class="rs-premium-benefits-dialogsubtitle"><?php echo $this->__('In order to gain instant access to the entire <a target="_blank" href="https://revolution.themepunch.com/examples/">Template Library</a>', 'revslider'); ?></span>
        </span>
    </div>
    <div class="rs-premium-benefits-block rspb-withborder">
        <h3><i class="big_present"></i><?php echo $this->__('If you purchased a theme that bundled Slider Revolution', 'revslider'); ?></h3>
        <ul>
            <li><?php echo $this->__('No activation needed to use to use / create sliders with Slider Revolution', 'revslider'); ?></li>
        </ul>
    </div>
    <div class="rs-premium-benefits-block">
        <h3><i class="big_diamond"></i><?php echo $this->__('Activate Slider Revolution for', 'revslider'); ?> <span class="instant_access"></span> <?php echo $this->__('to ...', 'revslider'); ?></h3>
        <ul>
            <li><?php echo $this->__('<a target="_blank" href="https://revolution.themepunch.com/direct-customer-benefits/#addons">Add-Ons</a> for Slider Revolution', 'revslider'); ?></li>
            <li><?php echo $this->__('<a target="_blank" href="https://revolution.themepunch.com/examples/">Library</a> with tons of free premium slider templates', 'revslider'); ?></li>
        </ul>
    </div>
    <a target="_blank" class="get_purchase_code" href="http://codecanyon.net/item/slider-revolution-responsive-magento-extension/9332896?ref=nwdthemes&license=regular&open_purchase_for_item_id=9332896&purchasable=source"><?php echo $this->__('GET A PURCHASE CODE', 'revslider'); ?></a>
</div>
